<?php

namespace Simplyin\Simplyin_W_Plugin\Payments\Gateway\Model;

class Payment_Type_Default extends Abstract_Payment implements Payment_Type_Interface {

	public function process_payment( Order_Data $order_data ) {
		// TODO: Implement process_payment() method.
	}

	public function configure_on_checkout() {
		// TODO: Implement configure_on_checkout() method.
	}

	public function order_received_actions(
		Order_Data $order_data
	) {
		// TODO: Implement order_received_actions() method.
	}

	public function get_payment_uuid(): ?string {
		// TODO: Implement get_payment_uuid() method.
	}

	public function get_order_id(): int {
		// TODO: Implement get_order_id() method.
	}

	public function get_payment_status(): ?string {
		// TODO: Implement get_payment_status() method.
	}

	public function get_provider_payment_id(): ?string {
		// TODO: Implement get_provider_payment_id() method.
	}

	public function get_registered_at(): ?string {
		// TODO: Implement get_registered_at() method.
	}

	public function set_payment_status( string $payment_status ) {
		// TODO: Implement set_payment_status() method.
	}

}
